<template>
  <div>
    <!-- ICON -->
    <svg
      v-if="showIcon === true"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 1043.63 592.71"
      width="100%"
      height="100%"
    >
      <g data-name="Layer 2">
        <path
          d="M588.67 296.36c0 163.67-131.78 296.35-294.33 296.35S0 460 0 296.36 131.78 0 294.34 0s294.33 132.69 294.33 296.36m322.89 0c0 154.06-65.89 279-147.17 279s-147.17-124.94-147.17-279 65.88-279 147.16-279 147.17 124.9 147.17 279m132.08 0c0 138-23.17 249.94-51.76 249.94s-51.75-111.91-51.75-249.94 23.17-249.94 51.75-249.94 51.76 111.9 51.76 249.94"
          data-name="Layer 1"
        />
      </g>
    </svg>
    <!-- LABEL -->
    <svg
      v-if="showLabel === true"
      viewBox="-483.814 -166.848 2729.65 594.72"
      xmlns="http://www.w3.org/2000/svg"
      width="100%"
      height="100%"
    >
      <path
        d="M 1863.59 37.22 L 1863.59 30.87 L 1696.11 30.87 L 1540.6 396.37 L 1385.09 30.87 L 1204.61 30.87 L 1204.61 37.22 L 1205.42 37.4 C 1235.99 44.3 1251.51 54.59 1251.51 91.7 L 1251.51 526.15 C 1251.51 563.26 1235.93 573.55 1205.36 580.45 L 1204.55 580.63 L 1204.55 587 L 1327 587 L 1327 580.65 L 1326.19 580.47 C 1295.62 573.57 1280.1 563.28 1280.1 526.17 L 1280.1 116.9 L 1479.87 587 L 1491.2 587 L 1696.79 103.79 L 1696.79 536.9 C 1694.17 566.21 1678.79 575.26 1651.11 581.51 L 1650.29 581.7 L 1650.29 588 L 1863.59 588 L 1863.59 581.7 L 1862.77 581.51 C 1835.06 575.26 1819.31 566.21 1816.69 536.9 L 1816.55 91.7 L 1816.69 91.7 C 1816.69 54.59 1832.21 44.3 1862.77 37.4 M 1960.2 325.2 C 1963.69 247.14 1991.72 190.8 2038.76 189.83 C 2053.27 190.07 2065.44 194.83 2074.9 203.99 C 2095 223.5 2104.45 264.27 2102.99 325.2 L 1960.2 325.2 Z M 1958.09 347.2 L 2208.09 347.2 L 2208.09 346.15 C 2207.38 286.46 2190.09 240.03 2156.75 208.15 C 2127.93 180.6 2085.26 165.44 2040.44 165.44 L 2039.44 165.44 C 2016.18 165.44 1987.65 171.08 1967.35 181.3 C 1944.24 192 1923.86 208 1906.9 229 C 1879.6 262.83 1863.06 308.55 1859.04 359.93 C 1858.91 361.47 1858.8 363.01 1858.69 364.55 C 1858.58 366.09 1858.51 367.47 1858.44 368.94 C 1858.084 376.164 1857.964 383.398 1858.08 390.63 C 1860.79 507 1923.65 600 2035.3 600 C 2133.3 600 2190.37 528.36 2204.6 432.2 L 2197.41 429.67 C 2172.41 481.35 2127.51 512.67 2076.41 508.85 C 2006.65 503.63 1953.21 432.9 1958.06 347.22 M 2490.75 504.9 C 2482.55 524.35 2465.44 535.05 2442.51 535.05 C 2419.58 535.05 2398.62 519.31 2383.73 490.71 C 2367.73 460.01 2359.31 416.61 2359.31 365.2 C 2359.31 258.2 2392.59 188.99 2444.1 188.99 C 2465.67 188.99 2482.65 199.69 2490.75 218.36 L 2490.75 504.9 Z M 2656.59 581.18 C 2626.02 573.95 2610.5 563.18 2610.5 524.18 L 2610.5 5.28 L 2424.77 60 L 2424.77 66.7 L 2425.91 66.61 C 2451.53 64.54 2468.91 68.08 2479 77.4 C 2486.9 84.7 2490.75 95.9 2490.75 111.66 L 2490.75 182.8 C 2472.44 171.11 2450.66 165.42 2424.23 165.42 C 2370.63 165.42 2321.64 187.99 2286.31 228.98 C 2249.48 271.7 2230.01 330.08 2230.01 397.79 C 2230 518.72 2289.53 600 2378.13 600 C 2429.96 600 2471.66 571.6 2490.75 523.7 L 2490.75 588 L 2657.4 588 L 2657.4 581.34 L 2656.59 581.18 Z M 2815.88 75.85 C 2815.88 38.09 2787.41 9.61 2749.64 9.61 C 2712.05 9.61 2682.64 38.71 2682.64 75.85 C 2682.64 112.99 2712.08 142.09 2749.64 142.09 C 2787.41 142.09 2815.88 113.61 2815.88 75.85 M 2859.72 581.18 C 2829.15 573.95 2813.63 563.18 2813.63 524.18 L 2813.5 524.18 L 2813.5 166.65 L 2646.84 214.5 L 2646.84 221 L 2647.84 221.09 C 2683.9 224.3 2693.77 236.72 2693.77 278.86 L 2693.77 588 L 2860.57 588 L 2860.57 581.34 L 2859.72 581.18 Z M 3286.77 581.18 C 3256.2 573.95 3240.68 563.18 3240.68 524.18 L 3240.68 166.65 L 3082 212.92 L 3082 219.44 L 3082.94 219.54 C 3112.42 222.64 3120.94 235.77 3120.94 278.1 L 3120.94 504.1 C 3111.11 523.55 3092.67 535.1 3070.33 535.88 C 3034.1 535.88 3014.15 511.41 3014.15 466.98 L 3014.15 166.66 L 2847.49 214.51 L 2847.49 221 L 2848.49 221.09 C 2884.55 224.29 2894.43 236.71 2894.43 278.86 L 2894.43 470.13 C 2894.345 483.482 2895.506 496.814 2897.9 509.95 L 2900.9 523 C 2915.01 573.56 2951.98 600 3009.9 600 C 3058.96 600 3101.96 569.63 3120.9 522.11 L 3120.9 588.11 L 3287.56 588.11 L 3287.56 581.45 L 3286.77 581.18 Z M 3934.2 588 L 3934.2 581.33 L 3933.39 581.14 C 3900.22 573.49 3887.3 559.07 3887.3 529.71 L 3887.3 286.51 C 3887.3 210.68 3844.71 165.42 3773.37 165.42 C 3721.37 165.42 3677.52 195.47 3660.64 242.28 C 3647.23 192.68 3608.64 165.42 3551.58 165.42 C 3501.46 165.42 3462.18 191.87 3445.33 236.55 L 3445.33 166.68 L 3278.67 212.57 L 3278.67 219.11 L 3279.67 219.2 C 3315.3 222.36 3325.6 235.14 3325.6 276.2 L 3325.6 588 L 3481.1 588 L 3481.1 581.34 L 3480.28 581.14 C 3453.82 574.92 3445.28 563.58 3445.28 534.48 L 3445.28 255.72 C 3452.28 239.37 3466.39 220 3494.28 220 C 3528.92 220 3546.48 244 3546.48 291.28 L 3546.48 588 L 3702.02 588 L 3702.02 581.34 L 3701.2 581.14 C 3674.74 574.92 3666.2 563.58 3666.2 534.48 L 3666.2 286.48 C 3666.268 277.207 3665.532 267.946 3664 258.8 C 3671.42 241.03 3686.34 220 3715.37 220 C 3750.5 220 3767.57 243.31 3767.57 291.28 L 3767.57 588 L 3934.2 588 Z"
        transform="matrix(1, 0, 0, 1, -1688.363673, -172.127703)"
      />
    </svg>
  </div>
</template>

<script>
export default {
  props: {
    showIcon: {
      default: true,
    },
    showLabel: {
      default: false,
    },
  },
};
</script>

<style>
</style>